class 'Profiler'

function Profiler:__init()
	self.start_time = 0
end

function Profiler:start()
	self.start_time = os.clock()
end

function Profiler:stop()
	local time = os.clock() - self.start_time
	local info = debug.getinfo(2, 'nS')
	Console:pushText('Profiler: ' .. info.short_src .. ' @' .. info.name .. ' time = '.. tostring(time))
end

